9cf1152003-05-07Henrik Grubbström (Grubba) # # Contains stuff common to both dynamic_module_makefile and # static_module_makefile. # # Modules should NOT use this file directly, but instead use either
a8b7232003-05-09Martin Stjernholm # dynamic_module_makefile or static_module_makefile as appropriate.
9cf1152003-05-07Henrik Grubbström (Grubba) #
7c7c612003-05-15Henrik Grubbström (Grubba) PREFLAGS=-I. -I$(SRCDIR) -I$(BUILD_BASE) -I$(PIKE_SRC_DIR) $(LINKAGE_CPPFLAGS) $(MODULE_CPPFLAGS) $(DEFINES)
a73a4f2016-12-11Henrik Grubbström (Grubba) CFLAGS=$(BASE_CFLAGS) $(MODULE_CFLAGS) $(OTHERFLAGS) $(LINKAGE_CFLAGS) NOOPT_CFLAGS=$(BASE_CFLAGS) $(MODULE_CFLAGS) $(NOOPTFLAGS) $(LINKAGE_CFLAGS) CXXFLAGS=$(BASE_CXXFLAGS) $(MODULE_CXXFLAGS) $(OTHERFLAGS) $(LINKAGE_CXXFLAGS) NOOPT_CXXFLAGS=$(BASE_CXXFLAGS) $(MODULE_CXXFLAGS) $(NOOPTFLAGS) $(LINKAGE_CXXFLAGS)
7c7c612003-05-15Henrik Grubbström (Grubba) 
a0ad632006-06-18Martin Stjernholm # MAKE_FLAGS_BASE must not contain LINKAGE_*. MAKE_FLAGS_BASE = "prefix=$(prefix)" "exec_prefix=$(exec_prefix)" "CC=$(CC)" "OTHERFLAGS=$(OTHERFLAGS)" "TMP_BINDIR=$(TMP_BINDIR)" "DEFINES=$(DEFINES)" "TMP_LIBDIR=$(TMP_LIBDIR)" "RUNPIKE=$(RUNPIKE)" "INSTALL=$(INSTALL)" "AR=$(AR)" "NOOPTFLAGS=$(NOOPTFLAGS)" $(MODULE_MAKE_FLAGS) MAKE_FLAGS = $(MAKE_FLAGS_BASE) "LINKAGE_CFLAGS=$(LINKAGE_CFLAGS)"
7c7c612003-05-15Henrik Grubbström (Grubba) 
9cf1152003-05-07Henrik Grubbström (Grubba) MODULE_BASE=$(BUILD_BASE)/modules TMP_MODULE_BASE=$(TMP_LIBDIR)/modules force:
a0ad632006-06-18Martin Stjernholm  @:
9479712006-08-02Martin Stjernholm # Note that module-preamble isn't executed at all for post modules # when dynamic modules are enabled. module-preamble: linker_options modlist_segment
9cf1152003-05-07Henrik Grubbström (Grubba) 
a0ad632006-06-18Martin Stjernholm module-main: Makefile $(MODULE_TARGET) module.pmod
fd0fd72004-04-17Marcus Comstedt  @if [ x"$(PIKE_EXTERNAL_MODULE)" = x -a x"$(MODULE_PMOD_IN)" != x ]; then \
c2b0632003-10-30H. William Welliver III  $(TMP_BINDIR)/install_module module.pmod $(TMP_MODULE_BASE)/$(MODDIR)$(MODNAME).pmod ; \ fi
9cf1152003-05-07Henrik Grubbström (Grubba)  $(MODULE_ARCHIVES) ThisIsAPhonyTargetBlaBlaBla: force @a=`echo $@ | sed -e 's@/[^/]*$$@@'` ; \ m=`echo $@ | sed -e 's@.*/@@g'`; \ echo Making $(MODNAME)/$$a/$$m ; \ ( rm $$a/remake >/dev/null 2>&1 ||: ; \ cd $$a && ( $(MAKE) $(MAKE_FLAGS) $$m || \ ( test -f remake ; $(MAKE) $(MAKE_FLAGS) $$m ) ) \ ) || exit $$?
c738b62003-10-28Martin Nilsson .SUFFIXES:
fc25142018-06-16Henrik Grubbström (Grubba) .SUFFIXES: .c .o .S .cmod .protos .m .mmod .cc .ccmod
9cf1152003-05-07Henrik Grubbström (Grubba) 
f1d5a92016-02-06Arne Goedeke $(PMOD_TARGETS): $(wildcard $(BUILD_BASE)/precompile.sh-stamp) $(TMP_BINDIR)/precompile.pike $(wildcard $(PIKE_SRC_DIR)/../lib/modules/Tools.pmod/Standalone.pmod/precompile.pike) Makefile.in
0093392014-11-20Henrik Grubbström (Grubba)  .cmod.c:
239c7e2014-03-31Henrik Grubbström (Grubba)  $(BUILD_BASE)/precompile.sh precompile.pike '--base=$(MODNAME)' $(PRECOMPILER_ARGS) >"$@" "$<" || { rm "$@"; exit 1; }
9cf1152003-05-07Henrik Grubbström (Grubba) 
0093392014-11-20Henrik Grubbström (Grubba) .mmod.m:
239c7e2014-03-31Henrik Grubbström (Grubba)  $(BUILD_BASE)/precompile.sh precompile.pike '--base=$(MODNAME)' $(PRECOMPILER_ARGS) >"$@" "$<" || { rm "$@"; exit 1; }
b02c562006-11-22H. William Welliver III 
0093392014-11-20Henrik Grubbström (Grubba) .ccmod.cc:
239c7e2014-03-31Henrik Grubbström (Grubba)  $(BUILD_BASE)/precompile.sh precompile.pike '--base=$(MODNAME)' $(PRECOMPILER_ARGS) >"$@" "$<" || { rm "$@"; exit 1; }
20a1842007-02-10H. William Welliver III 
9cf1152003-05-07Henrik Grubbström (Grubba)  # GCC dumps core on some files @ OSF1 # This kluge should work around that... .c.o:
fb3fef2006-06-21Martin Stjernholm  @echo "Compiling `echo '$<' | sed -e 's|^$(PIKE_SRC_DIR)/||'`" ; \
9cf1152003-05-07Henrik Grubbström (Grubba)  rm -f $@.fail >/dev/null 2>&1; \
928a092004-01-22Henrik Grubbström (Grubba)  if $(CC) $(PREFLAGS) $(CFLAGS) -c $< -o $@ ; then : ; else \
9cf1152003-05-07Henrik Grubbström (Grubba)  status=$$?; \
e07acc2014-10-01Martin Nilsson  echo "Compilation command was:" >&2;\ echo "$(CC) $(PREFLAGS) $(CFLAGS) -c $< -o $@" >&2 ;\ exit $$status; \
9cf1152003-05-07Henrik Grubbström (Grubba)  fi
fc25142018-06-16Henrik Grubbström (Grubba) .c.S: @echo "Compiling `echo '$<' | sed -e 's|^$(PIKE_SRC_DIR)/||'`" ; \ rm -f $@.fail >/dev/null 2>&1; \ if $(CC) $(PREFLAGS) $(CFLAGS) -S $< -o $@ ; then : ; else \ status=$$?; \ echo "Compilation command was:" >&2;\ echo "$(CC) $(PREFLAGS) $(CFLAGS) -S $< -o $@" >&2 ;\ exit $$status; \ fi
9cf1152003-05-07Henrik Grubbström (Grubba) .c.protos: $(BUILD_BASE)/precompile.sh-stamp ./precompile.sh --cache fake_dynamic_load.pike >"$@" --cpp --protos \
b02c562006-11-22H. William Welliver III  $(CPP) $(PREFLAGS) -DPMOD_EXPORT=PMOD_EXPORT \ -DPMOD_PROTO=PMOD_PROTO -DPIKE_PRECOMPILER=1 "$<" || \ { rm "$@"; exit 1; }
fc25142018-06-16Henrik Grubbström (Grubba) 
b02c562006-11-22H. William Welliver III .m.o: @echo "Compiling `echo '$<' | sed -e 's|^$(PIKE_SRC_DIR)/||'`" ; \ rm -f $@.fail >/dev/null 2>&1; \ if $(CC) $(PREFLAGS) $(CFLAGS) -c $< -o $@ ; then : ; else \ status=$$?; \
e07acc2014-10-01Martin Nilsson  echo "Compilation command was:" >&2;\ echo "$(CC) $(PREFLAGS) $(CFLAGS) -c $< -o $@" >&2 ;\ exit $$status; \
b02c562006-11-22H. William Welliver III  fi
fc25142018-06-16Henrik Grubbström (Grubba) .m.S: @echo "Compiling `echo '$<' | sed -e 's|^$(PIKE_SRC_DIR)/||'`" ; \ rm -f $@.fail >/dev/null 2>&1; \ if $(CC) $(PREFLAGS) $(CFLAGS) -S $< -o $@ ; then : ; else \ status=$$?; \ echo "Compilation command was:" >&2;\ echo "$(CC) $(PREFLAGS) $(CFLAGS) -S $< -o $@" >&2 ;\ exit $$status; \ fi
b02c562006-11-22H. William Welliver III .m.protos: $(BUILD_BASE)/precompile.sh-stamp ./precompile.sh --cache fake_dynamic_load.pike >"$@" --cpp --protos \
20a1842007-02-10H. William Welliver III  $(CPP) $(PREFLAGS) -DPMOD_EXPORT=PMOD_EXPORT \ -DPMOD_PROTO=PMOD_PROTO -DPIKE_PRECOMPILER=1 "$<" || \ { rm "$@"; exit 1; } .cc.o: @echo "Compiling `echo '$<' | sed -e 's|^$(PIKE_SRC_DIR)/||'`" ; \ rm -f $@.fail >/dev/null 2>&1; \
a73a4f2016-12-11Henrik Grubbström (Grubba)  if $(CXX) $(PREFLAGS) $(CXXFLAGS) -c $< -o $@ ; then : ; else \
20a1842007-02-10H. William Welliver III  status=$$?; \
e07acc2014-10-01Martin Nilsson  echo "Compilation command was:" >&2;\
a73a4f2016-12-11Henrik Grubbström (Grubba)  echo "$(CXX) $(PREFLAGS) $(CXXFLAGS) -c $< -o $@" >&2 ;\
e07acc2014-10-01Martin Nilsson  exit $$status; \
20a1842007-02-10H. William Welliver III  fi
fc25142018-06-16Henrik Grubbström (Grubba) .cc.S: @echo "Compiling `echo '$<' | sed -e 's|^$(PIKE_SRC_DIR)/||'`" ; \ rm -f $@.fail >/dev/null 2>&1; \ if $(CXX) $(PREFLAGS) $(CXXFLAGS) -S $< -o $@ ; then : ; else \ status=$$?; \ echo "Compilation command was:" >&2;\ echo "$(CXX) $(PREFLAGS) $(CXXFLAGS) -S $< -o $@" >&2 ;\ exit $$status; \ fi
20a1842007-02-10H. William Welliver III .cc.protos: $(BUILD_BASE)/precompile.sh-stamp ./precompile.sh --cache fake_dynamic_load.pike >"$@" --cpp --protos \
ebac7b2008-12-20Henrik Grubbström (Grubba)  $(CXXCPP) $(PREFLAGS) -DPMOD_EXPORT=PMOD_EXPORT \
9cf1152003-05-07Henrik Grubbström (Grubba)  -DPMOD_PROTO=PMOD_PROTO -DPIKE_PRECOMPILER=1 "$<" || \ { rm "$@"; exit 1; }
a836882006-06-17Martin Stjernholm propagated_variables:
9cf1152003-05-07Henrik Grubbström (Grubba) 
a836882006-06-17Martin Stjernholm make_variables: $(make_variables_in) config.status propagated_variables
9cf1152003-05-07Henrik Grubbström (Grubba)  CONFIG_FILES="make_variables:$(make_variables_in)" CONFIG_HEADERS="" ./config.status
c5410e2019-05-09Henrik Grubbström (Grubba) $(CONFIG_HEADERS_IN) dummy_config_header_in: $(SRCDIR)/stamp-h.in @if [ -f $@ ]; then :; else \ rm $(SRCDIR)/stamp-h.in; \ $(MAKE) $(SRCDIR)/stamp-h.in; \ fi
9cf1152003-05-07Henrik Grubbström (Grubba) # $(CONFIG_HEADERS) should exist but they need not be more fresh than
ae80ee2008-07-24Henrik Grubbström (Grubba) # config.status since it only rewrites them if they actually change, # but they do need to be regenerated if the configure script has changed. # We add an intermediate target "stamp-h" that keeps track of when we # regenerated the headers last. $(CONFIG_HEADERS) dummy_config_header: stamp-h
9cf1152003-05-07Henrik Grubbström (Grubba) 
76db532019-05-10Henrik Grubbström (Grubba) stamp-h: config.status $(SRCDIR)/stamp-h.in $(CONFIG_HEADERS_IN)
8830072008-07-23Henrik Grubbström (Grubba)  @if [ x"$(CONFIG_HEADERS)" != x ]; then \ echo CONFIG_HEADERS="$(CONFIG_HEADERS)" ./config.status; \ CONFIG_HEADERS="$(CONFIG_HEADERS)" ./config.status; \ fi; \
ae80ee2008-07-24Henrik Grubbström (Grubba)  touch stamp-h
8830072008-07-23Henrik Grubbström (Grubba) 
5e4cc52019-05-11Henrik Grubbström (Grubba) $(OBJS) dummy_obj: $(CONFIG_HEADERS)
c5410e2019-05-09Henrik Grubbström (Grubba) $(SRCDIR)/configure $(SRCDIR)/stamp-h.in: $(SRCDIR)/configure.in $(PIKE_SRC_DIR)/aclocal.m4 $(ACCONFIG_H)
4481e22003-10-10Henrik Grubbström (Grubba)  cd $(SRCDIR) && $(PIKE_SRC_DIR)/run_autoconfig .
c5410e2019-05-09Henrik Grubbström (Grubba)  echo foo > $(SRCDIR)/stamp-h.in
9cf1152003-05-07Henrik Grubbström (Grubba) 
a836882006-06-17Martin Stjernholm config.status: $(SRCDIR)/configure propagated_variables
a1e2c42006-06-17Martin Stjernholm  ./config.status --recheck
9cf1152003-05-07Henrik Grubbström (Grubba) 
3db07f2003-05-28Henrik Grubbström (Grubba) module.pmod: Makefile $(MODULE_PMOD_IN)
fd0fd72004-04-17Marcus Comstedt  @if [ "x$(MODULE_PMOD_IN)" != "x" ]; then \
cc2b5b2013-11-01Per Hedbor  LC_CTYPE=C; \
509d4d2013-02-18Henrik Grubbström (Grubba)  export LC_CTYPE; \
fd0fd72004-04-17Marcus Comstedt  echo "Making module.pmod" ; \
3db07f2003-05-28Henrik Grubbström (Grubba)  if [ -f "$(MODULE_PMOD_IN)" ]; then \
e246d22006-04-11H. William Welliver III  sed -e "s#@module@#$(MODULE_PROGRAM)#" \
cc2b5b2013-11-01Per Hedbor  <"$(MODULE_PMOD_IN)" >module.pmod || (rm "module.pmod/$$mi"&&exit 1); \
25083e2003-10-29H. William Welliver III  else \ if [ -d "$(MODULE_PMOD_IN)" ]; then \
e246d22006-04-11H. William Welliver III  find "$(MODULE_PMOD_IN)" -type d -print | sed -e "s#$(MODULE_PMOD_IN)#module.pmod#" | xargs -n 1 mkdir -p ;\ for mi in `find "$(MODULE_PMOD_IN)" -type f -print | sed -e "s#$(MODULE_PMOD_IN)##"` ;\
25083e2003-10-29H. William Welliver III  do \
e246d22006-04-11H. William Welliver III  sed -e "s#@module@#$(MODULE_PROGRAM)#" \
cc2b5b2013-11-01Per Hedbor  <"$(MODULE_PMOD_IN)/$$mi" > "module.pmod/$$mi" || (rm "module.pmod/$$mi"&&exit 1); \
25083e2003-10-29H. William Welliver III  done; \
9cf1152003-05-07Henrik Grubbström (Grubba)  else \
3db07f2003-05-28Henrik Grubbström (Grubba)  echo 'Missing source for module.pmod "$(MODULE_PMOD_IN)".' >&2; \ exit 1; \
9cf1152003-05-07Henrik Grubbström (Grubba)  fi ;\
25083e2003-10-29H. William Welliver III  fi; \
9cf1152003-05-07Henrik Grubbström (Grubba)  fi
7479a22003-11-13Martin Stjernholm clean_here:
23e7de2006-06-21Martin Stjernholm  -rm -f *.o *.fail *.obj *.a *.so stamp-h linker_options modlist_segment testsuite $(MODULE_CLEAN_EXTRA) doc build_type
5d5f772006-07-05Martin Stjernholm  -rm -f confdefs.h conftest.* hdrlist.h *.manifest *.pdb *.lib *.exp
c147322003-11-30H. William Welliver III  -rm -rf plib refdoc module.pmod doc
9cf1152003-05-07Henrik Grubbström (Grubba) 
7479a22003-11-13Martin Stjernholm clean: clean_here @for a in '' $(MODULE_SUBDIRS) ; do \ if test "x$$a" = "x"; then :; \ else ( cd $$a ; $(MAKE) $(MAKE_FLAGS) clean ) ; fi ; \ done
f5f9a92003-11-11H. William Welliver III 
7479a22003-11-13Martin Stjernholm spotless: clean_here
5d5f772006-07-05Martin Stjernholm  -rm -f config.cache config.log config.status Makefile propagated_variables make_variables dependencies pike_*.feature -rm -f core core.* .pure $(MODULE_SPOTLESS_EXTRA)
7479a22003-11-13Martin Stjernholm  @for a in '' $(MODULE_SUBDIRS) ; do \ if test "x$$a" = "x"; then :; \ else ( cd $$a ; $(MAKE) $(MAKE_FLAGS) spotless ) ; fi ; \ done
f5f9a92003-11-11H. William Welliver III 
9cf1152003-05-07Henrik Grubbström (Grubba)  depend: $(SRC_TARGETS) $(PMOD_TARGETS) Makefile
767f2e2014-08-28Martin Nilsson  @if [ "x$(DO_DEPEND)" = "x" ]; then \
79f12f2017-07-23Henrik Grubbström (Grubba)  $(CC) -MM -MG $(PREFLAGS) $(SRCDIR)/*.c | $(TMP_BINDIR)/fixdepends.sh "$(SRCDIR)" "$(PIKE_SRC_DIR)" "$(BUILD_BASE)" ; \
767f2e2014-08-28Martin Nilsson  CONFIG_FILES=Makefile CONFIG_HEADERS="" ./config.status ; \ for a in '' $(MODULE_SUBDIRS) ; do \ if test "x$$a" = "x"; then :; else \ echo Making depend in $$a; \ ( cd $$a && { \ rm -f remake; \ $(MAKE) $(MAKE_FLAGS) depend || \ if test -f remake; then $(MAKE) $(MAKE_FLAGS) depend; \ else exit $$?; fi; \ }); \ fi; \ done; \ else echo Not regenerating dependencies here.; \ fi
9cf1152003-05-07Henrik Grubbström (Grubba) 
9945c72003-10-31Henrik Grubbström (Grubba) pike_external_module: plib/modules @$(MAKE) $(MAKE_FLAGS) LOCAL_MODULE_PATH="./plib/modules" local_install
a834ed2003-11-11H. William Welliver III refdoc: @test -d refdoc || mkdir refdoc refdoc/modref: refdoc @test -d refdoc/modref || mkdir refdoc/modref
0ed8692003-11-07H. William Welliver III  plib/doc_build/images: plib/doc_build @test -d plib/doc_build/images || mkdir plib/doc_build/images plib/doc_build: plib @test -d plib/doc_build || mkdir plib/doc_build
9945c72003-10-31Henrik Grubbström (Grubba) plib/modules: plib @test -d plib/modules || mkdir plib/modules
47a9b92003-11-03H. William Welliver III plib/refdoc: plib @test -d plib/refdoc || mkdir plib/refdoc
9945c72003-10-31Henrik Grubbström (Grubba) plib: @test -d plib || mkdir plib
9cf1152003-05-07Henrik Grubbström (Grubba) #verify / debug testsuite: $(SRCDIR)/testsuite.in $(REAL_TESTSUITE) $(TMP_BINDIR)/mktestsuite @if test "x$(REAL_TESTSUITE)" != x ; then \ cp $(SRCDIR)/$(REAL_TESTSUITE) testsuite; \ else \ if test "$$PIKE_PATH_TRANSLATE" = ""; then \ $(TMP_BINDIR)/mktestsuite $(SRCDIR)/testsuite.in >testsuite \
af91a02005-03-14Martin Nilsson  -DSRCDIR="`echo $(SRCDIR)|$(BUILD_BASE)/posix_to_native.sh`"; \
9cf1152003-05-07Henrik Grubbström (Grubba)  else \ $(TMP_BINDIR)/mktestsuite $(SRCDIR)/testsuite.in >testsuite \
af91a02005-03-14Martin Nilsson  -DSRCDIR="`echo $(SRCDIR)|sed -e $$PIKE_PATH_TRANSLATE|$(BUILD_BASE)/posix_to_native.sh`"; \
9cf1152003-05-07Henrik Grubbström (Grubba)  fi; \ fi extra_tests: $(MODULE_TESTS)
9945c72003-10-31Henrik Grubbström (Grubba) verify: testsuite $(MODULE_TESTS) $(PIKE_EXTERNAL_MODULE)
385f542006-08-02Martin Stjernholm  $(FINAL_PIKE) -Mplib/modules $(TMP_BINDIR)/test_pike.pike testsuite
d917902003-10-30H. William Welliver III 
9945c72003-10-31Henrik Grubbström (Grubba) verbose_verify: testsuite $(MODULE_TESTS) $(PIKE_EXTERNAL_MODULE)
385f542006-08-02Martin Stjernholm  @$(FINAL_PIKE) -Mplib/modules $(TMP_BINDIR)/test_pike.pike testsuite --verbose
9cf1152003-05-07Henrik Grubbström (Grubba) 
9945c72003-10-31Henrik Grubbström (Grubba) gdb_verify: testsuite $(PIKE_EXTERNAL_MODULE)
9cf1152003-05-07Henrik Grubbström (Grubba)  @echo >.gdbinit handle SIGUSR1 nostop noprint pass
9945c72003-10-31Henrik Grubbström (Grubba)  @echo >>.gdbinit run -DNOT_INSTALLED -m $(TMP_BUILDDIR)/master.pike $(PIKEOPTS) -Mplib/modules $(TMP_BINDIR)/test_pike.pike testsuite -v -v -f
9cf1152003-05-07Henrik Grubbström (Grubba)  gdb $(TMP_BUILDDIR)/pike @rm .gdbinit
47a9b92003-11-03H. William Welliver III 
0ed8692003-11-07H. William Welliver III extract_autodoc: $(PIKE_EXTERNAL_MODULE) plib/refdoc plib/doc_build/images
47a9b92003-11-03H. William Welliver III  $(RUNPIKE) -x extract_autodoc --builddir=plib/refdoc --srcdir=plib/modules
705e2a2004-10-14H. William Welliver III  if test "X$(AUTODOC_SRC_IN)" != "X"; then \
938ba22003-12-03H. William Welliver III  $(RUNPIKE) -x extract_autodoc --builddir=plib/refdoc $(AUTODOC_SRC_IN); \ fi
0df63c2003-11-04H. William Welliver III  join_autodoc: extract_autodoc $(RUNPIKE) -x join_autodoc --quiet --post-process "plib/autodoc.xml" "$(CORE_AUTODOC_PATH)" "plib/refdoc"
a834ed2003-11-11H. William Welliver III modref: join_autodoc modref.xml
0ed8692003-11-07H. William Welliver III  cd $(SYSTEM_DOC_PATH)/src && $(MAKE) $(MAKE_FLAGS) BUILDDIR="$(FULL_SRCDIR)/plib" DESTDIR="$(SYSTEM_DOC_PATH)" modref
a834ed2003-11-11H. William Welliver III module_join_autodoc: extract_autodoc refdoc/modref $(RUNPIKE) -x join_autodoc --quiet --post-process "plib/autodoc.xml" "plib/refdoc"
399cca2003-11-11H. William Welliver III module_modref: module_join_autodoc module_modref.xml cd $(SYSTEM_DOC_PATH)/src && $(MAKE) $(MAKE_FLAGS) BUILDDIR="$(FULL_SRCDIR)/plib" DESTDIR="$(FULL_SRCDIR)/refdoc/" module_modref
a834ed2003-11-11H. William Welliver III 
0ed8692003-11-07H. William Welliver III modref.xml: plib/autodoc.xml $(SYSTEM_DOC_PATH)/src/structure/modref.xml $(RUNPIKE) -x assemble_autodoc $(SYSTEM_DOC_PATH)/src/structure/modref.xml \ plib/autodoc.xml >plib/modref.xml
399cca2003-11-11H. William Welliver III  module_modref.xml: plib/autodoc.xml $(SYSTEM_DOC_PATH)/src/structure/module_modref.xml $(RUNPIKE) -x assemble_autodoc $(SYSTEM_DOC_PATH)/src/structure/module_modref.xml \ plib/autodoc.xml >plib/module_modref.xml
43344f2004-04-01Henrik Grubbström (Grubba) examine_module: $(MODULE_TARGET) -nm $(MODULE_TARGET)